## linux-aws 6.17.0

=== drivers/power/Makefile ===
# SPDX-License-Identifier: GPL-2.0-only
obj-$(CONFIG_POWER_RESET)	+= reset/
obj-$(CONFIG_POWER_SEQUENCING)	+= sequencing/
obj-$(CONFIG_POWER_SUPPLY)	+= supply/
