=== drivers/hwmon/pmbus/Makefile ===
# SPDX-License-Identifier: GPL-2.0
#
# Makefile for PMBus chip drivers.
#

obj-$(CONFIG_PMBUS)		+= pmbus_core.o
obj-$(CONFIG_SENSORS_PMBUS)	+= pmbus.o
obj-$(CONFIG_SENSORS_ACBEL_FSG032) += acbel-fsg032.o
obj-$(CONFIG_SENSORS_ADM1266)	+= adm1266.o
obj-$(CONFIG_SENSORS_ADM1275)	+= adm1275.o
obj-$(CONFIG_SENSORS_ADP1050)	+= adp1050.o
obj-$(CONFIG_SENSORS_BEL_PFE)	+= bel-pfe.o
obj-$(CONFIG_SENSORS_BPA_RS600)	+= bpa-rs600.o
obj-$(CONFIG_SENSORS_DELTA_AHE50DC_FAN) += delta-ahe50dc-fan.o
obj-$(CONFIG_SENSORS_FSP_3Y)	+= fsp-3y.o
obj-$(CONFIG_SENSORS_IBM_CFFPS)	+= ibm-cffps.o
obj-$(CONFIG_SENSORS_DPS920AB)	+= dps920ab.o
obj-$(CONFIG_SENSORS_INA233)	+= ina233.o
obj-$(CONFIG_SENSORS_INSPUR_IPSPS) += inspur-ipsps.o
obj-$(CONFIG_SENSORS_IR35221)	+= ir35221.o
obj-$(CONFIG_SENSORS_IR36021)	+= ir36021.o
obj-$(CONFIG_SENSORS_IR38064)	+= ir38064.o
obj-$(CONFIG_SENSORS_IRPS5401)	+= irps5401.o
obj-$(CONFIG_SENSORS_ISL68137)	+= isl68137.o
obj-$(CONFIG_SENSORS_LM25066)	+= lm25066.o
obj-$(CONFIG_SENSORS_LT3074)	+= lt3074.o
obj-$(CONFIG_SENSORS_LT7182S)	+= lt7182s.o
obj-$(CONFIG_SENSORS_LTC2978)	+= ltc2978.o
obj-$(CONFIG_SENSORS_LTC3815)	+= ltc3815.o
obj-$(CONFIG_SENSORS_LTC4286)	+= ltc4286.o
obj-$(CONFIG_SENSORS_MAX15301)	+= max15301.o
obj-$(CONFIG_SENSORS_MAX16064)	+= max16064.o
obj-$(CONFIG_SENSORS_MAX16601)	+= max16601.o
obj-$(CONFIG_SENSORS_MAX20730)	+= max20730.o
obj-$(CONFIG_SENSORS_MAX20751)	+= max20751.o
obj-$(CONFIG_SENSORS_MAX31785)	+= max31785.o
obj-$(CONFIG_SENSORS_MAX34440)	+= max34440.o
obj-$(CONFIG_SENSORS_MAX8688)	+= max8688.o
obj-$(CONFIG_SENSORS_MP2856)	+= mp2856.o
obj-$(CONFIG_SENSORS_MP2888)	+= mp2888.o
obj-$(CONFIG_SENSORS_MP2891)	+= mp2891.o
obj-$(CONFIG_SENSORS_MP2975)	+= mp2975.o
obj-$(CONFIG_SENSORS_MP2993)	+= mp2993.o
obj-$(CONFIG_SENSORS_MP5023)	+= mp5023.o
obj-$(CONFIG_SENSORS_MP5920)	+= mp5920.o
obj-$(CONFIG_SENSORS_MP5990)	+= mp5990.o
obj-$(CONFIG_SENSORS_MP9941)	+= mp9941.o
obj-$(CONFIG_SENSORS_MPQ7932)	+= mpq7932.o
obj-$(CONFIG_SENSORS_MPQ8785)	+= mpq8785.o
obj-$(CONFIG_SENSORS_PLI1209BC)	+= pli1209bc.o
obj-$(CONFIG_SENSORS_PM6764TR)	+= pm6764tr.o
obj-$(CONFIG_SENSORS_PXE1610)	+= pxe1610.o
obj-$(CONFIG_SENSORS_Q54SJ108A2)	+= q54sj108a2.o
obj-$(CONFIG_SENSORS_STPDDC60)	+= stpddc60.o
obj-$(CONFIG_SENSORS_TDA38640)	+= tda38640.o
obj-$(CONFIG_SENSORS_TPS25990)	+= tps25990.o
obj-$(CONFIG_SENSORS_TPS40422)	+= tps40422.o
obj-$(CONFIG_SENSORS_TPS53679)	+= tps53679.o
obj-$(CONFIG_SENSORS_TPS546D24)	+= tps546d24.o
obj-$(CONFIG_SENSORS_UCD9000)	+= ucd9000.o
obj-$(CONFIG_SENSORS_UCD9200)	+= ucd9200.o
obj-$(CONFIG_SENSORS_XDP710)	+= xdp710.o
obj-$(CONFIG_SENSORS_XDPE122)	+= xdpe12284.o
obj-$(CONFIG_SENSORS_XDPE152)	+= xdpe152c4.o
obj-$(CONFIG_SENSORS_ZL6100)	+= zl6100.o
obj-$(CONFIG_SENSORS_PIM4328)	+= pim4328.o
obj-$(CONFIG_SENSORS_CRPS)	+= crps.o
