=== drivers/power/supply/Makefile ===
# SPDX-License-Identifier: GPL-2.0
subdir-ccflags-$(CONFIG_POWER_SUPPLY_DEBUG) := -DDEBUG

power_supply-y				:= power_supply_core.o
power_supply-$(CONFIG_SYSFS)		+= power_supply_sysfs.o
power_supply-$(CONFIG_LEDS_TRIGGERS)	+= power_supply_leds.o

obj-$(CONFIG_POWER_SUPPLY)	+= power_supply.o
obj-$(CONFIG_POWER_SUPPLY_HWMON) += power_supply_hwmon.o
obj-$(CONFIG_GENERIC_ADC_BATTERY)	+= generic-adc-battery.o

obj-$(CONFIG_APM_POWER)		+= apm_power.o
obj-$(CONFIG_AXP20X_POWER)	+= axp20x_usb_power.o
obj-$(CONFIG_IP5XXX_POWER)	+= ip5xxx_power.o
obj-$(CONFIG_MAX8925_POWER)	+= max8925_power.o
obj-$(CONFIG_WM831X_BACKUP)	+= wm831x_backup.o
obj-$(CONFIG_WM831X_POWER)	+= wm831x_power.o
obj-$(CONFIG_WM8350_POWER)	+= wm8350_power.o
obj-$(CONFIG_TEST_POWER)	+= test_power.o

obj-$(CONFIG_BATTERY_88PM860X)	+= 88pm860x_battery.o
obj-$(CONFIG_CHARGER_ADP5061)	+= adp5061.o
obj-$(CONFIG_BATTERY_ACT8945A)	+= act8945a_charger.o
obj-$(CONFIG_BATTERY_AXP20X)	+= axp20x_battery.o
obj-$(CONFIG_CHARGER_AXP20X)	+= axp20x_ac_power.o
obj-$(CONFIG_BATTERY_CHAGALL)	+= chagall-battery.o
obj-$(CONFIG_BATTERY_CPCAP)	+= cpcap-battery.o
obj-$(CONFIG_BATTERY_CW2015)	+= cw2015_battery.o
obj-$(CONFIG_BATTERY_DS2760)	+= ds2760_battery.o
obj-$(CONFIG_BATTERY_DS2780)	+= ds2780_battery.o
obj-$(CONFIG_BATTERY_DS2781)	+= ds2781_battery.o
obj-$(CONFIG_BATTERY_DS2782)	+= ds2782_battery.o
obj-$(CONFIG_BATTERY_GAUGE_LTC2941)	+= ltc2941-battery-gauge.o
obj-$(CONFIG_BATTERY_GOLDFISH)	+= goldfish_battery.o
obj-$(CONFIG_BATTERY_HUAWEI_GAOKUN)	+= huawei-gaokun-battery.o
obj-$(CONFIG_BATTERY_LEGO_EV3)	+= lego_ev3_battery.o
obj-$(CONFIG_BATTERY_LENOVO_YOGA_C630) += lenovo_yoga_c630_battery.o
obj-$(CONFIG_BATTERY_PMU)	+= pmu_battery.o
obj-$(CONFIG_BATTERY_QCOM_BATTMGR)	+= qcom_battmgr.o
obj-$(CONFIG_BATTERY_OLPC)	+= olpc_battery.o
obj-$(CONFIG_BATTERY_SAMSUNG_SDI)	+= samsung-sdi-battery.o
obj-$(CONFIG_BATTERY_COLLIE)	+= collie_battery.o
obj-$(CONFIG_BATTERY_INGENIC)	+= ingenic-battery.o
obj-$(CONFIG_BATTERY_IPAQ_MICRO) += ipaq_micro_battery.o
obj-$(CONFIG_BATTERY_WM97XX)	+= wm97xx_battery.o
obj-$(CONFIG_BATTERY_SBS)	+= sbs-battery.o
obj-$(CONFIG_CHARGER_SBS)	+= sbs-charger.o
obj-$(CONFIG_MANAGER_SBS)	+= sbs-manager.o
obj-$(CONFIG_BATTERY_BQ27XXX)	+= bq27xxx_battery.o
obj-$(CONFIG_BATTERY_BQ27XXX_I2C) += bq27xxx_battery_i2c.o
obj-$(CONFIG_BATTERY_BQ27XXX_HDQ) += bq27xxx_battery_hdq.o
obj-$(CONFIG_BATTERY_DA9030)	+= da9030_battery.o
obj-$(CONFIG_BATTERY_DA9052)	+= da9052-battery.o
obj-$(CONFIG_CHARGER_DA9150)	+= da9150-charger.o
obj-$(CONFIG_BATTERY_DA9150)	+= da9150-fg.o
obj-$(CONFIG_BATTERY_MAX17040)	+= max17040_battery.o
obj-$(CONFIG_BATTERY_MAX17042)	+= max17042_battery.o
obj-$(CONFIG_BATTERY_MAX1720X)	+= max1720x_battery.o
obj-$(CONFIG_BATTERY_MAX1721X)	+= max1721x_battery.o
obj-$(CONFIG_BATTERY_RT5033)	+= rt5033_battery.o
obj-$(CONFIG_CHARGER_RT5033)	+= rt5033_charger.o
obj-$(CONFIG_CHARGER_RT9455)	+= rt9455_charger.o
obj-$(CONFIG_CHARGER_RT9467)	+= rt9467-charger.o
obj-$(CONFIG_CHARGER_RT9471)	+= rt9471.o
obj-$(CONFIG_BATTERY_TWL4030_MADC)	+= twl4030_madc_battery.o
obj-$(CONFIG_CHARGER_88PM860X)	+= 88pm860x_charger.o
obj-$(CONFIG_BATTERY_RX51)	+= rx51_battery.o
obj-$(CONFIG_AB8500_BM)		+= ab8500_bmdata.o ab8500_charger.o ab8500_fg.o ab8500_btemp.o ab8500_chargalg.o
obj-$(CONFIG_CHARGER_CPCAP)	+= cpcap-charger.o
obj-$(CONFIG_CHARGER_ISP1704)	+= isp1704_charger.o
obj-$(CONFIG_CHARGER_MAX8903)	+= max8903_charger.o
obj-$(CONFIG_CHARGER_TWL4030)	+= twl4030_charger.o
obj-$(CONFIG_CHARGER_TWL6030)	+= twl6030_charger.o
obj-$(CONFIG_CHARGER_LP8727)	+= lp8727_charger.o
obj-$(CONFIG_CHARGER_LP8788)	+= lp8788-charger.o
obj-$(CONFIG_CHARGER_GPIO)	+= gpio-charger.o
obj-$(CONFIG_CHARGER_MANAGER)	+= charger-manager.o
obj-$(CONFIG_CHARGER_LT3651)	+= lt3651-charger.o
obj-$(CONFIG_CHARGER_LTC4162L)	+= ltc4162-l-charger.o
obj-$(CONFIG_CHARGER_MAX14577)	+= max14577_charger.o
obj-$(CONFIG_CHARGER_DETECTOR_MAX14656)	+= max14656_charger_detector.o
obj-$(CONFIG_CHARGER_MAX77650)	+= max77650-charger.o
obj-$(CONFIG_CHARGER_MAX77693)	+= max77693_charger.o
obj-$(CONFIG_CHARGER_MAX77705)	+= max77705_charger.o
obj-$(CONFIG_CHARGER_MAX77976)	+= max77976_charger.o
obj-$(CONFIG_CHARGER_MAX8971)	+= max8971_charger.o
obj-$(CONFIG_CHARGER_MAX8997)	+= max8997_charger.o
obj-$(CONFIG_CHARGER_MAX8998)	+= max8998_charger.o
obj-$(CONFIG_CHARGER_MP2629)	+= mp2629_charger.o
obj-$(CONFIG_CHARGER_MT6360)	+= mt6360_charger.o
obj-$(CONFIG_CHARGER_MT6370)	+= mt6370-charger.o
obj-$(CONFIG_CHARGER_QCOM_SMBB)	+= qcom_smbb.o
obj-$(CONFIG_BATTERY_PM8916_BMS_VM)	+= pm8916_bms_vm.o
obj-$(CONFIG_CHARGER_PM8916_LBC)	+= pm8916_lbc.o
obj-$(CONFIG_CHARGER_BQ2415X)	+= bq2415x_charger.o
obj-$(CONFIG_CHARGER_BQ24190)	+= bq24190_charger.o
obj-$(CONFIG_CHARGER_BQ24257)	+= bq24257_charger.o
obj-$(CONFIG_CHARGER_BQ24735)	+= bq24735-charger.o
obj-$(CONFIG_CHARGER_BQ2515X)	+= bq2515x_charger.o
obj-$(CONFIG_CHARGER_BQ25890)	+= bq25890_charger.o
obj-$(CONFIG_CHARGER_BQ25980)	+= bq25980_charger.o
obj-$(CONFIG_CHARGER_BQ256XX)	+= bq256xx_charger.o
obj-$(CONFIG_CHARGER_RK817)	+= rk817_charger.o
obj-$(CONFIG_CHARGER_SMB347)	+= smb347-charger.o
obj-$(CONFIG_CHARGER_TPS65090)	+= tps65090-charger.o
obj-$(CONFIG_CHARGER_TPS65217)	+= tps65217_charger.o
obj-$(CONFIG_AXP288_FUEL_GAUGE) += axp288_fuel_gauge.o
obj-$(CONFIG_AXP288_CHARGER)	+= axp288_charger.o
obj-$(CONFIG_CHARGER_CROS_CONTROL)	+= cros_charge-control.o
obj-$(CONFIG_CHARGER_CROS_USBPD)	+= cros_usbpd-charger.o
obj-$(CONFIG_CHARGER_CROS_PCHG)	+= cros_peripheral_charger.o
obj-$(CONFIG_CHARGER_SC2731)	+= sc2731_charger.o
obj-$(CONFIG_FUEL_GAUGE_SC27XX)	+= sc27xx_fuel_gauge.o
obj-$(CONFIG_FUEL_GAUGE_STC3117)       += stc3117_fuel_gauge.o
obj-$(CONFIG_CHARGER_UCS1002)	+= ucs1002_power.o
obj-$(CONFIG_CHARGER_BD99954)	+= bd99954-charger.o
obj-$(CONFIG_CHARGER_WILCO)	+= wilco-charger.o
obj-$(CONFIG_RN5T618_POWER)	+= rn5t618_power.o
obj-$(CONFIG_BATTERY_ACER_A500)	+= acer_a500_battery.o
obj-$(CONFIG_BATTERY_SURFACE)	+= surface_battery.o
obj-$(CONFIG_CHARGER_SURFACE)	+= surface_charger.o
obj-$(CONFIG_BATTERY_UG3105)	+= ug3105_battery.o
obj-$(CONFIG_CHARGER_QCOM_SMB2)	+= qcom_smbx.o
obj-$(CONFIG_FUEL_GAUGE_MM8013)	+= mm8013.o
