=== drivers/usb/fotg210/Makefile ===
# SPDX-License-Identifier: GPL-2.0

obj-$(CONFIG_USB_FOTG210)		+= fotg210.o
fotg210-y				:= fotg210-core.o
fotg210-$(CONFIG_USB_FOTG210_HCD)	+= fotg210-hcd.o
fotg210-$(CONFIG_USB_FOTG210_UDC)	+= fotg210-udc.o
